summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2008-08-29 02:22:17 +0000
committerKhem Raj <raj.khem@gmail.com>2008-08-29 02:22:17 +0000
commita7ce2fb467521c1f188982caaf7d82be5beaead0 (patch)
tree08d09d2b1b81760b72bb736775428cbbed1bf31e
parent23ccc2156ae978b7183877bd884396a22f5c168c (diff)
Refresh patches based on 4.3.1 for 4.3.2
All it needed was regenerating configure scripts. -Khem
-rw-r--r--packages/gcc/gcc-4.3.2.inc18
-rw-r--r--packages/gcc/gcc-4.3.2/200-uclibc-locale.patch84
-rw-r--r--packages/gcc/gcc-4.3.2/gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch1222
-rw-r--r--packages/gcc/gcc-4.3.2/gcc-flags-for-build.patch164
-rw-r--r--packages/gcc/gcc-cross-sdk_4.3.2.bb2
-rw-r--r--packages/gcc/gcc-cross_4.3.2.bb1
-rw-r--r--packages/gcc/gcc_4.3.2.bb1
7 files changed, 848 insertions, 644 deletions
diff --git a/packages/gcc/gcc-4.3.2.inc b/packages/gcc/gcc-4.3.2.inc
index 1c09b12f1c..b21dd3100f 100644
--- a/packages/gcc/gcc-4.3.2.inc
+++ b/packages/gcc/gcc-4.3.2.inc
@@ -20,22 +20,22 @@ SRC_URI = "ftp://ftp.gnu.org/pub/gnu/gcc/gcc-${PV}/gcc-${PV}.tar.bz2 \
file://fedora/gcc43-libgomp-speedup.patch;patch=1;pnum=0 \
file://fedora/gcc43-i386-libgomp.patch;patch=1;pnum=0 \
file://fedora/gcc43-rh251682.patch;patch=1;pnum=0 \
- file://debian/arm-unbreak-eabi-armv4t.dpatch;patch=1 \
+ file://debian/arm-unbreak-eabi-armv4t.dpatch;patch=1 \
file://debian/libstdc++-pic.dpatch;patch=1;pnum=0 \
file://debian/gcc-ice-hack.dpatch;patch=1;pnum=0 \
file://debian/pr30961.dpatch;patch=1;pnum=0 \
file://100-uclibc-conf.patch;patch=1 \
file://103-uclibc-conf-noupstream.patch;patch=1 \
-# file://200-uclibc-locale.patch;patch=1 \
-# file://203-uclibc-locale-no__x.patch;patch=1 \
-# file://204-uclibc-locale-wchar_fix.patch;patch=1 \
-# file://205-uclibc-locale-update.patch;patch=1 \
+ file://200-uclibc-locale.patch;patch=1 \
+ file://203-uclibc-locale-no__x.patch;patch=1 \
+ file://204-uclibc-locale-wchar_fix.patch;patch=1 \
+ file://205-uclibc-locale-update.patch;patch=1 \
file://301-missing-execinfo_h.patch;patch=1 \
file://302-c99-snprintf.patch;patch=1 \
file://303-c99-complex-ugly-hack.patch;patch=1 \
file://304-index_macro.patch;patch=1 \
file://305-libmudflap-susv3-legacy.patch;patch=1 \
-# file://306-libstdc++-namespace.patch;patch=1 \
+ file://306-libstdc++-namespace.patch;patch=1 \
file://307-locale_facets.patch;patch=1 \
file://602-sdk-libstdc++-includes.patch;patch=1 \
file://740-sh-pr24836.patch;patch=1 \
@@ -53,10 +53,10 @@ SRC_URI = "ftp://ftp.gnu.org/pub/gnu/gcc/gcc-${PV}/gcc-${PV}.tar.bz2 \
# file://fortran-static-linking.patch;patch=1 \
# file://intermask-bigendian.patch;patch=1 \
file://gcc-arm-frename-registers.patch;patch=1 \
-# file://gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch;patch=1 \
+ file://gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch;patch=1 \
file://gcc-4.3.1-ARCH_FLAGS_FOR_TARGET.patch;patch=1 \
-# file://zecke-xgcc-cpp.patch;patch=1 \
-# file://gcc-flags-for-build.patch;patch=1 \
+ file://zecke-xgcc-cpp.patch;patch=1 \
+ file://gcc-flags-for-build.patch;patch=1 \
"
SRC_URI_append_sh3 = " file://sh3-installfix-fixheaders.patch;patch=1 "
diff --git a/packages/gcc/gcc-4.3.2/200-uclibc-locale.patch b/packages/gcc/gcc-4.3.2/200-uclibc-locale.patch
index 398f7a4436..70ba98eed7 100644
--- a/packages/gcc/gcc-4.3.2/200-uclibc-locale.patch
+++ b/packages/gcc/gcc-4.3.2/200-uclibc-locale.patch
@@ -1,7 +1,7 @@
-Index: gcc-4.3.1/libstdc++-v3/acinclude.m4
+Index: gcc-4.3.2/libstdc++-v3/acinclude.m4
===================================================================
---- gcc-4.3.1.orig/libstdc++-v3/acinclude.m4 2008-04-25 09:52:57.000000000 -0700
-+++ gcc-4.3.1/libstdc++-v3/acinclude.m4 2008-08-19 01:15:23.000000000 -0700
+--- gcc-4.3.2.orig/libstdc++-v3/acinclude.m4 2008-04-25 09:52:57.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/acinclude.m4 2008-08-28 17:55:56.000000000 -0700
@@ -1349,7 +1349,7 @@
AC_DEFUN([GLIBCXX_ENABLE_CLOCALE], [
GLIBCXX_ENABLE(clocale,auto,[@<:@=MODEL@:>@],
@@ -62,10 +62,10 @@ Index: gcc-4.3.1/libstdc++-v3/acinclude.m4
esac
# This is where the testsuite looks for locale catalogs, using the
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c++locale_internal.h
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/c++locale_internal.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c++locale_internal.h 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/c++locale_internal.h 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,63 @@
+// Prototypes for GLIBC thread locale __-prefixed functions -*- C++ -*-
+
@@ -130,10 +130,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c++locale_internal.h
+#endif
+
+#endif // GLIBC 2.3 and later
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c_locale.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/c_locale.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c_locale.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/c_locale.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,160 @@
+// Wrapper for underlying C-language localization -*- C++ -*-
+
@@ -295,10 +295,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c_locale.cc
+{
+ const char* const* const locale::_S_categories = __gnu_cxx::category_names;
+} // namespace std
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c_locale.h
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/c_locale.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c_locale.h 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/c_locale.h 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,117 @@
+// Wrapper for underlying C-language localization -*- C++ -*-
+
@@ -417,10 +417,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/c_locale.h
+}
+
+#endif
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/codecvt_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/codecvt_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/codecvt_members.cc 2008-08-19 01:39:14.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/codecvt_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,308 @@
+// std::codecvt implementation details, GNU version -*- C++ -*-
+
@@ -730,10 +730,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/codecvt_members.cc
+ }
+#endif
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/collate_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/collate_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/collate_members.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/collate_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,80 @@
+// std::collate implementation details, GNU version -*- C++ -*-
+
@@ -815,10 +815,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/collate_members.cc
+ { return __wcsxfrm_l(__to, __from, __n, _M_c_locale_collate); }
+#endif
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/ctype_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/ctype_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/ctype_members.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/ctype_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,300 @@
+// std::ctype implementation details, GNU version -*- C++ -*-
+
@@ -1120,10 +1120,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/ctype_members.cc
+ }
+#endif // _GLIBCXX_USE_WCHAR_T
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/messages_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/messages_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/messages_members.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/messages_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,100 @@
+// std::messages implementation details, GNU version -*- C++ -*-
+
@@ -1225,10 +1225,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/messages_members.cc
+ }
+#endif
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/messages_members.h
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/messages_members.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/messages_members.h 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/messages_members.h 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,118 @@
+// std::messages implementation details, GNU version -*- C++ -*-
+
@@ -1348,10 +1348,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/messages_members.h
+ this->_S_create_c_locale(this->_M_c_locale_messages, __s);
+ }
+ }
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/monetary_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/monetary_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/monetary_members.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/monetary_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,692 @@
+// std::moneypunct implementation details, GNU version -*- C++ -*-
+
@@ -2045,10 +2045,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/monetary_members.cc
+ }
+#endif
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/numeric_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/numeric_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/numeric_members.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/numeric_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,160 @@
+// std::numpunct implementation details, GNU version -*- C++ -*-
+
@@ -2210,10 +2210,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/numeric_members.cc
+ { delete _M_data; }
+ #endif
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/time_members.cc
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/time_members.cc
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/time_members.cc 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/time_members.cc 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,406 @@
+// std::time_get, std::time_put implementation, GNU version -*- C++ -*-
+
@@ -2621,10 +2621,10 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/time_members.cc
+ }
+#endif
+}
-Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/time_members.h
+Index: gcc-4.3.2/libstdc++-v3/config/locale/uclibc/time_members.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ gcc-4.3.1/libstdc++-v3/config/locale/uclibc/time_members.h 2008-08-19 01:38:05.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/config/locale/uclibc/time_members.h 2008-08-28 17:55:56.000000000 -0700
@@ -0,0 +1,68 @@
+// std::time_get, std::time_put implementation, GNU version -*- C++ -*-
+
@@ -2694,11 +2694,11 @@ Index: gcc-4.3.1/libstdc++-v3/config/locale/uclibc/time_members.h
+ delete _M_data;
+ _S_destroy_c_locale(_M_c_locale_timepunct);
+ }
-Index: gcc-4.3.1/libstdc++-v3/configure
+Index: gcc-4.3.2/libstdc++-v3/configure
===================================================================
---- gcc-4.3.1.orig/libstdc++-v3/configure 2008-04-25 09:52:57.000000000 -0700
-+++ gcc-4.3.1/libstdc++-v3/configure 2008-08-19 01:38:04.000000000 -0700
-@@ -14001,7 +14001,7 @@
+--- gcc-4.3.2.orig/libstdc++-v3/configure 2008-07-07 12:49:54.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/configure 2008-08-28 18:02:13.000000000 -0700
+@@ -14003,7 +14003,7 @@
enableval="$enable_clocale"
case "$enableval" in
@@ -2707,7 +2707,7 @@ Index: gcc-4.3.1/libstdc++-v3/configure
*) { { echo "$as_me:$LINENO: error: Unknown argument to enable/disable clocale" >&5
echo "$as_me: error: Unknown argument to enable/disable clocale" >&2;}
{ (exit 1); exit 1; }; } ;;
-@@ -14034,6 +14034,9 @@
+@@ -14036,6 +14036,9 @@
# Default to "generic".
if test $enable_clocale_flag = auto; then
case ${target_os} in
@@ -2717,7 +2717,7 @@ Index: gcc-4.3.1/libstdc++-v3/configure
linux* | gnu* | kfreebsd*-gnu | knetbsd*-gnu)
enable_clocale_flag=gnu
;;
-@@ -14422,6 +14425,76 @@
+@@ -14424,6 +14427,76 @@
CTIME_CC=config/locale/generic/time_members.cc
CLOCALE_INTERNAL_H=config/locale/generic/c++locale_internal.h
;;
@@ -2794,19 +2794,19 @@ Index: gcc-4.3.1/libstdc++-v3/configure
esac
# This is where the testsuite looks for locale catalogs, using the
-@@ -17014,7 +17087,7 @@
+@@ -17016,7 +17089,7 @@
# Fake what AC_TRY_COMPILE does. XXX Look at redoing this new-style.
cat > conftest.$ac_ext << EOF
--#line 17017 "configure"
-+#line 17090 "configure"
+-#line 17019 "configure"
++#line 17092 "configure"
int main()
{
// NB: _Atomic_word not necessarily int.
-Index: gcc-4.3.1/libstdc++-v3/include/c_compatibility/wchar.h
+Index: gcc-4.3.2/libstdc++-v3/include/c_compatibility/wchar.h
===================================================================
---- gcc-4.3.1.orig/libstdc++-v3/include/c_compatibility/wchar.h 2007-03-04 14:59:49.000000000 -0800
-+++ gcc-4.3.1/libstdc++-v3/include/c_compatibility/wchar.h 2008-08-19 01:15:23.000000000 -0700
+--- gcc-4.3.2.orig/libstdc++-v3/include/c_compatibility/wchar.h 2007-03-04 14:59:49.000000000 -0800
++++ gcc-4.3.2/libstdc++-v3/include/c_compatibility/wchar.h 2008-08-28 17:55:56.000000000 -0700
@@ -106,7 +106,9 @@
using std::wmemcpy;
using std::wmemmove;
@@ -2817,10 +2817,10 @@ Index: gcc-4.3.1/libstdc++-v3/include/c_compatibility/wchar.h
#if _GLIBCXX_USE_C99
using std::wcstold;
-Index: gcc-4.3.1/libstdc++-v3/include/c_std/cwchar
+Index: gcc-4.3.2/libstdc++-v3/include/c_std/cwchar
===================================================================
---- gcc-4.3.1.orig/libstdc++-v3/include/c_std/cwchar 2007-05-27 07:50:21.000000000 -0700
-+++ gcc-4.3.1/libstdc++-v3/include/c_std/cwchar 2008-08-19 01:15:23.000000000 -0700
+--- gcc-4.3.2.orig/libstdc++-v3/include/c_std/cwchar 2007-05-27 07:50:21.000000000 -0700
++++ gcc-4.3.2/libstdc++-v3/include/c_std/cwchar 2008-08-28 17:55:56.000000000 -0700
@@ -182,7 +182,9 @@
using ::wcscoll;
using ::wcscpy;
diff --git a/packages/gcc/gcc-4.3.2/gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch b/packages/gcc/gcc-4.3.2/gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch
index 317a58b6a3..aba1e2df69 100644
--- a/packages/gcc/gcc-4.3.2/gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch
+++ b/packages/gcc/gcc-4.3.2/gcc-4.3.1-SYSROOT_CFLAGS_FOR_TARGET.patch
@@ -69,11 +69,11 @@ gcc:
libiberty/configure.ac | 43 -
13 files changed, 1454 insertions(+), 896 deletions(-)
-Index: gcc-4.3.1/configure.ac
+Index: gcc-4.3.2/configure.ac
===================================================================
---- gcc-4.3.1.orig/configure.ac 2008-02-01 19:29:30.000000000 -0800
-+++ gcc-4.3.1/configure.ac 2008-08-20 00:47:50.000000000 -0700
-@@ -1667,6 +1667,38 @@ AC_ARG_WITH([debug-prefix-map],
+--- gcc-4.3.2.orig/configure.ac 2008-02-01 19:29:30.000000000 -0800
++++ gcc-4.3.2/configure.ac 2008-08-28 18:18:37.000000000 -0700
+@@ -1667,6 +1667,38 @@
[DEBUG_PREFIX_CFLAGS_FOR_TARGET=])
AC_SUBST(DEBUG_PREFIX_CFLAGS_FOR_TARGET)
@@ -112,11 +112,11 @@ Index: gcc-4.3.1/configure.ac
# Handle --with-headers=XXX. If the value is not "yes", the contents of
# the named directory are copied to $(tooldir)/sys-include.
if test x"${with_headers}" != x && test x"${with_headers}" != xno ; then
-Index: gcc-4.3.1/Makefile.def
+Index: gcc-4.3.2/Makefile.def
===================================================================
---- gcc-4.3.1.orig/Makefile.def 2007-10-23 08:53:18.000000000 -0700
-+++ gcc-4.3.1/Makefile.def 2008-08-20 00:47:50.000000000 -0700
-@@ -214,6 +214,7 @@ flags_to_pass = { flag= INSTALL ; };
+--- gcc-4.3.2.orig/Makefile.def 2007-10-23 08:53:18.000000000 -0700
++++ gcc-4.3.2/Makefile.def 2008-08-28 18:18:37.000000000 -0700
+@@ -214,6 +214,7 @@
flags_to_pass = { flag= INSTALL_DATA ; };
flags_to_pass = { flag= INSTALL_PROGRAM ; };
flags_to_pass = { flag= INSTALL_SCRIPT ; };
@@ -124,7 +124,7 @@ Index: gcc-4.3.1/Makefile.def
flags_to_pass = { flag= LEX ; };
flags_to_pass = { flag= M4 ; };
flags_to_pass = { flag= MAKE ; };
-@@ -511,43 +512,51 @@ bootstrap_stage = {
+@@ -511,43 +512,51 @@
// compiler probably has never heard of them.
stage_configure_flags='--disable-intermodule $(STAGE1_CHECKING) \
--disable-coverage --enable-languages="$(STAGE1_LANGUAGES)"' ;
@@ -184,11 +184,11 @@ Index: gcc-4.3.1/Makefile.def
- stage_cflags='$(STAGE3_CFLAGS) -fprofile-use' ; };
+ stage_cflags='$(STAGE3_CFLAGS) -fprofile-use' ;
+ stage_libcflags='$(STAGE3_LIBCFLAGS) -fprofile-use' ; };
-Index: gcc-4.3.1/Makefile.tpl
+Index: gcc-4.3.2/Makefile.tpl
===================================================================
---- gcc-4.3.1.orig/Makefile.tpl 2008-08-20 00:46:50.000000000 -0700
-+++ gcc-4.3.1/Makefile.tpl 2008-08-20 00:47:50.000000000 -0700
-@@ -23,6 +23,14 @@ in
+--- gcc-4.3.2.orig/Makefile.tpl 2008-08-28 18:05:25.000000000 -0700
++++ gcc-4.3.2/Makefile.tpl 2008-08-28 18:18:37.000000000 -0700
+@@ -23,6 +23,14 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
@@ -203,7 +203,7 @@ Index: gcc-4.3.1/Makefile.tpl
# -------------------------------
# Standard Autoconf-set variables
# -------------------------------
-@@ -139,6 +147,13 @@ BUILD_EXPORTS = \
+@@ -139,6 +147,13 @@
WINDRES="$(WINDRES_FOR_BUILD)"; export WINDRES; \
WINDMC="$(WINDMC_FOR_BUILD)"; export WINDMC;
@@ -217,7 +217,7 @@ Index: gcc-4.3.1/Makefile.tpl
# This is the list of directories to built for the host system.
SUBDIRS = @configdirs@
# This is set by the configure script to the arguments to use when configuring
-@@ -153,6 +168,7 @@ HOST_SUBDIR = @host_subdir@
+@@ -153,6 +168,7 @@
HOST_EXPORTS = \
$(BASE_EXPORTS) \
CC="$(CC)"; export CC; \
@@ -225,7 +225,7 @@ Index: gcc-4.3.1/Makefile.tpl
CFLAGS="$(CFLAGS)"; export CFLAGS; \
CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
CXX="$(CXX)"; export CXX; \
-@@ -207,10 +223,10 @@ BASE_TARGET_EXPORTS = \
+@@ -207,10 +223,10 @@
AR="$(AR_FOR_TARGET)"; export AR; \
AS="$(COMPILER_AS_FOR_TARGET)"; export AS; \
CC="$(CC_FOR_TARGET)"; export CC; \
@@ -238,7 +238,7 @@ Index: gcc-4.3.1/Makefile.tpl
GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
-@@ -322,7 +338,6 @@ LDFLAGS = @LDFLAGS@
+@@ -323,7 +339,6 @@
LIBCFLAGS = $(CFLAGS)
CXXFLAGS = @CXXFLAGS@
LIBCXXFLAGS = $(CXXFLAGS) -fno-implicit-templates
@@ -246,7 +246,7 @@ Index: gcc-4.3.1/Makefile.tpl
# Only build the C compiler for stage1, because that is the only one that
# we can guarantee will build with the native compiler, and also it is the
-@@ -330,14 +345,19 @@ PICFLAG =
+@@ -331,14 +346,19 @@
# MAKEINFO and MAKEINFOFLAGS are explicitly passed here to make them
# overrideable (for a bootstrap build stage1 also builds gcc.info).
@@ -267,7 +267,7 @@ Index: gcc-4.3.1/Makefile.tpl
do-compare = @do_compare@
do-compare3 = $(do-compare)
do-compare-debug = $(SHELL) $(srcdir)/contrib/compare-debug $$f1 $$f2
-@@ -376,22 +396,14 @@ COMPILER_AS_FOR_TARGET=@COMPILER_AS_FOR_
+@@ -377,22 +397,14 @@
COMPILER_LD_FOR_TARGET=@COMPILER_LD_FOR_TARGET@
COMPILER_NM_FOR_TARGET=@COMPILER_NM_FOR_TARGET@
@@ -294,7 +294,7 @@ Index: gcc-4.3.1/Makefile.tpl
# ------------------------------------
# Miscellaneous targets and flag lists
-@@ -491,19 +503,20 @@ POSTSTAGE1_FLAGS_TO_PASS = \
+@@ -492,19 +504,20 @@
# Flags to pass down to makes which are built with the target environment.
# The double $ decreases the length of the command line; those variables
# are set in BASE_FLAGS_TO_PASS, and the sub-make will expand them. The
@@ -320,7 +320,7 @@ Index: gcc-4.3.1/Makefile.tpl
'NM=$(COMPILER_NM_FOR_TARGET)' \
'OBJDUMP=$$(OBJDUMP_FOR_TARGET)' \
'RANLIB=$$(RANLIB_FOR_TARGET)' \
-@@ -851,9 +864,11 @@ configure-stage[+id+]-[+prefix+][+module
+@@ -852,9 +865,11 @@
fi; \
[+ ENDIF check_multilibs +]test ! -f [+subdir+]/[+module+]/Makefile || exit 0; \
[+exports+][+ IF prev +] \
@@ -334,7 +334,7 @@ Index: gcc-4.3.1/Makefile.tpl
echo Configuring stage [+id+] in [+subdir+]/[+module+] ; \
$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
cd [+subdir+]/[+module+] || exit 1; \
-@@ -890,7 +905,8 @@ all-[+prefix+][+module+]: configure-[+pr
+@@ -891,7 +906,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
[+exports+] \
(cd [+subdir+]/[+module+] && \
@@ -344,7 +344,7 @@ Index: gcc-4.3.1/Makefile.tpl
@endif [+prefix+][+module+]
[+ IF bootstrap +]
-@@ -910,8 +926,11 @@ all-stage[+id+]-[+prefix+][+module+]: co
+@@ -911,8 +927,11 @@
[+exports+][+ IF prev +] \
[+poststage1_exports+][+ ENDIF prev +] \
cd [+subdir+]/[+module+] && \
@@ -358,7 +358,7 @@ Index: gcc-4.3.1/Makefile.tpl
IF prev +][+poststage1_args+][+ ENDIF prev
+] [+extra_make_flags+] \
$(TARGET-stage[+id+]-[+prefix+][+module+])
-@@ -944,7 +963,8 @@ clean-stage[+id+]-[+prefix+][+module+]:
+@@ -945,7 +964,8 @@
target_alias=(get "target" "${target_alias}")
args="$(BUILD_CONFIGARGS)" no-config-site=true +]
@@ -368,7 +368,7 @@ Index: gcc-4.3.1/Makefile.tpl
[+ ENDFOR build_module +]
# --------------------------------------
-@@ -961,7 +981,7 @@ clean-stage[+id+]-[+prefix+][+module+]:
+@@ -962,7 +982,7 @@
[+ all prefix="" subdir="$(HOST_SUBDIR)"
exports="$(HOST_EXPORTS)"
poststage1_exports="$(POSTSTAGE1_HOST_EXPORTS)"
@@ -377,7 +377,7 @@ Index: gcc-4.3.1/Makefile.tpl
poststage1_args="$(POSTSTAGE1_FLAGS_TO_PASS)" +]
.PHONY: check-[+module+] maybe-check-[+module+]
-@@ -1059,7 +1079,7 @@ maybe-[+make_target+]-[+module+]: [+make
+@@ -1060,7 +1080,7 @@
[+ all prefix="target-" subdir="$(TARGET_SUBDIR)"
exports="$(RAW_CXX_TARGET_EXPORTS)"
@@ -386,7 +386,7 @@ Index: gcc-4.3.1/Makefile.tpl
[+ ELSE +]
[+ configure prefix="target-" subdir="$(TARGET_SUBDIR)"
check_multilibs=true
-@@ -1070,7 +1090,7 @@ maybe-[+make_target+]-[+module+]: [+make
+@@ -1071,7 +1091,7 @@
[+ all prefix="target-" subdir="$(TARGET_SUBDIR)"
exports="$(NORMAL_TARGET_EXPORTS)"
@@ -395,7 +395,7 @@ Index: gcc-4.3.1/Makefile.tpl
[+ ENDIF +]
.PHONY: check-target-[+module+] maybe-check-target-[+module+]
-@@ -1300,7 +1320,7 @@ stage[+id+]-end:: [+ FOR host_modules +]
+@@ -1301,7 +1321,7 @@
# Bubble a bug fix through all the stages up to stage [+id+]. They are
# remade, but not reconfigured. The next stage (if any) will not be
@@ -404,7 +404,7 @@ Index: gcc-4.3.1/Makefile.tpl
.PHONY: stage[+id+]-bubble
stage[+id+]-bubble:: [+ IF prev +]stage[+prev+]-bubble[+ ENDIF +]
@r=`${PWD_COMMAND}`; export r; \
-@@ -1439,11 +1459,11 @@ stage_current:
+@@ -1440,11 +1460,11 @@
@if test -f stage_last; then $(unstage); else $(MAKE) stage1-start; fi
.PHONY: restrap
@@ -418,7 +418,7 @@ Index: gcc-4.3.1/Makefile.tpl
@endif gcc-bootstrap
# --------------------------------------
-@@ -1474,7 +1494,7 @@ configure-target-[+module+]: maybe-all-g
+@@ -1475,7 +1495,7 @@
[+ ;; These Scheme functions build the bulk of the dependencies.
;; dep-target builds a string like "maybe-all-MODULE_KIND-gcc",
@@ -427,7 +427,7 @@ Index: gcc-4.3.1/Makefile.tpl
;; is taken from VAR-NAME.
(define dep-target (lambda (module-kind var-name hard)
(string-append
-@@ -1632,7 +1652,8 @@ config.status: configure
+@@ -1633,7 +1653,8 @@
# Rebuilding configure.
AUTOCONF = autoconf
@@ -437,10 +437,10 @@ Index: gcc-4.3.1/Makefile.tpl
cd $(srcdir) && $(AUTOCONF)
# ------------------------------
-Index: gcc-4.3.1/config/mh-ppc-darwin
+Index: gcc-4.3.2/config/mh-ppc-darwin
===================================================================
---- gcc-4.3.1.orig/config/mh-ppc-darwin 2007-05-23 07:26:31.000000000 -0700
-+++ gcc-4.3.1/config/mh-ppc-darwin 2008-08-20 00:47:50.000000000 -0700
+--- gcc-4.3.2.orig/config/mh-ppc-darwin 2007-05-23 07:26:31.000000000 -0700
++++ gcc-4.3.2/config/mh-ppc-darwin 2008-08-28 18:18:37.000000000 -0700
@@ -2,5 +2,4 @@
# position-independent-code -- the usual default on Darwin. This fix speeds
# compiles by 3-5%.
@@ -448,11 +448,11 @@ Index: gcc-4.3.1/config/mh-ppc-darwin
-# Broken because of PR32009.
-# BOOT_CFLAGS=-g -O2 -mdynamic-no-pic
+BOOT_CFLAGS=-g -O2 -mdynamic-no-pic
-Index: gcc-4.3.1/gcc/doc/install.texi
+Index: gcc-4.3.2/gcc/doc/install.texi
===================================================================
---- gcc-4.3.1.orig/gcc/doc/install.texi 2008-05-22 23:58:10.000000000 -0700
-+++ gcc-4.3.1/gcc/doc/install.texi 2008-08-20 00:47:50.000000000 -0700
-@@ -1772,33 +1772,35 @@ same described above, but object files f
+--- gcc-4.3.2.orig/gcc/doc/install.texi 2008-06-18 22:59:30.000000000 -0700
++++ gcc-4.3.2/gcc/doc/install.texi 2008-08-28 18:18:37.000000000 -0700
+@@ -1778,33 +1778,35 @@
stage2 of the 3-stage bootstrap of the compiler are deleted as
soon as they are no longer needed.
@@ -513,7 +513,7 @@ Index: gcc-4.3.1/gcc/doc/install.texi
If you used the flag @option{--enable-languages=@dots{}} to restrict
the compilers to be built, only those you've actually enabled will be
-@@ -2689,8 +2691,8 @@ cross-compilers on the Alpha for 32-bit
+@@ -2695,8 +2697,8 @@
a few cases and may not work properly.
@samp{make compare} may fail on old versions of DEC Unix unless you add
@@ -524,10 +524,10 @@ Index: gcc-4.3.1/gcc/doc/install.texi
comparison fail if it differs between the @code{stage1} and
@code{stage2} compilations. The option @option{-save-temps} forces a
fixed name to be used for the assembler input file, instead of a
-Index: gcc-4.3.1/Makefile.in
+Index: gcc-4.3.2/Makefile.in
===================================================================
---- gcc-4.3.1.orig/Makefile.in 2008-08-20 00:46:50.000000000 -0700
-+++ gcc-4.3.1/Makefile.in 2008-08-20 00:47:50.000000000 -0700
+--- gcc-4.3.2.orig/Makefile.in 2008-08-28 18:05:25.000000000 -0700
++++ gcc-4.3.2/Makefile.in 2008-08-28 18:18:37.000000000 -0700
@@ -20,6 +20,14 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
@@ -543,7 +543,7 @@ Index: gcc-4.3.1/Makefile.in
# -------------------------------
# Standard Autoconf-set variables
# -------------------------------
-@@ -136,6 +144,13 @@ BUILD_EXPORTS = \
+@@ -136,6 +144,13 @@
WINDRES="$(WINDRES_FOR_BUILD)"; export WINDRES; \
WINDMC="$(WINDMC_FOR_BUILD)"; export WINDMC;
@@ -557,7 +557,7 @@ Index: gcc-4.3.1/Makefile.in
# This is the list of directories to built for the host system.
SUBDIRS = @configdirs@
# This is set by the configure script to the arguments to use when configuring
-@@ -150,6 +165,7 @@ HOST_SUBDIR = @host_subdir@
+@@ -150,6 +165,7 @@
HOST_EXPORTS = \
$(BASE_EXPORTS) \
CC="$(CC)"; export CC; \
@@ -565,7 +565,7 @@ Index: gcc-4.3.1/Makefile.in
CFLAGS="$(CFLAGS)"; export CFLAGS; \
CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
CXX="$(CXX)"; export CXX; \
-@@ -204,10 +220,10 @@ BASE_TARGET_EXPORTS = \
+@@ -204,10 +220,10 @@
AR="$(AR_FOR_TARGET)"; export AR; \
AS="$(COMPILER_AS_FOR_TARGET)"; export AS; \
CC="$(CC_FOR_TARGET)"; export CC; \
@@ -578,7 +578,7 @@ Index: gcc-4.3.1/Makefile.in
GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
-@@ -319,7 +335,6 @@ LDFLAGS = @LDFLAGS@
+@@ -320,7 +336,6 @@
LIBCFLAGS = $(CFLAGS)
CXXFLAGS = @CXXFLAGS@
LIBCXXFLAGS = $(CXXFLAGS) -fno-implicit-templates
@@ -586,7 +586,7 @@ Index: gcc-4.3.1/Makefile.in
# Only build the C compiler for stage1, because that is the only one that
# we can guarantee will build with the native compiler, and also it is the
-@@ -327,14 +342,19 @@ PICFLAG =
+@@ -328,14 +343,19 @@
# MAKEINFO and MAKEINFOFLAGS are explicitly passed here to make them
# overrideable (for a bootstrap build stage1 also builds gcc.info).
@@ -607,7 +607,7 @@ Index: gcc-4.3.1/Makefile.in
do-compare = @do_compare@
do-compare3 = $(do-compare)
do-compare-debug = $(SHELL) $(srcdir)/contrib/compare-debug $$f1 $$f2
-@@ -373,22 +393,14 @@ COMPILER_AS_FOR_TARGET=@COMPILER_AS_FOR_
+@@ -374,22 +394,14 @@
COMPILER_LD_FOR_TARGET=@COMPILER_LD_FOR_TARGET@
COMPILER_NM_FOR_TARGET=@COMPILER_NM_FOR_TARGET@
@@ -634,7 +634,7 @@ Index: gcc-4.3.1/Makefile.in
# ------------------------------------
# Miscellaneous targets and flag lists
-@@ -495,6 +507,7 @@ BASE_FLAGS_TO_PASS = \
+@@ -496,6 +508,7 @@
"INSTALL_DATA=$(INSTALL_DATA)" \
"INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
"INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
@@ -642,7 +642,7 @@ Index: gcc-4.3.1/Makefile.in
"LEX=$(LEX)" \
"M4=$(M4)" \
"MAKE=$(MAKE)" \
-@@ -591,19 +604,20 @@ POSTSTAGE1_FLAGS_TO_PASS = \
+@@ -592,19 +605,20 @@
# Flags to pass down to makes which are built with the target environment.
# The double $ decreases the length of the command line; those variables
# are set in BASE_FLAGS_TO_PASS, and the sub-make will expand them. The
@@ -668,7 +668,7 @@ Index: gcc-4.3.1/Makefile.in
'NM=$(COMPILER_NM_FOR_TARGET)' \
'OBJDUMP=$$(OBJDUMP_FOR_TARGET)' \
'RANLIB=$$(RANLIB_FOR_TARGET)' \
-@@ -2737,7 +2751,8 @@ all-build-libiberty: configure-build-lib
+@@ -2738,7 +2752,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/libiberty && \
@@ -678,7 +678,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-libiberty
-@@ -2792,7 +2807,8 @@ all-build-bison: configure-build-bison
+@@ -2793,7 +2808,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/bison && \
@@ -688,7 +688,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-bison
-@@ -2847,7 +2863,8 @@ all-build-byacc: configure-build-byacc
+@@ -2848,7 +2864,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/byacc && \
@@ -698,7 +698,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-byacc
-@@ -2902,7 +2919,8 @@ all-build-flex: configure-build-flex
+@@ -2903,7 +2920,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/flex && \
@@ -708,7 +708,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-flex
-@@ -2957,7 +2975,8 @@ all-build-m4: configure-build-m4
+@@ -2958,7 +2976,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/m4 && \
@@ -718,7 +718,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-m4
-@@ -3012,7 +3031,8 @@ all-build-texinfo: configure-build-texin
+@@ -3013,7 +3032,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/texinfo && \
@@ -728,7 +728,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-texinfo
-@@ -3067,7 +3087,8 @@ all-build-fixincludes: configure-build-f
+@@ -3068,7 +3088,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(BUILD_EXPORTS) \
(cd $(BUILD_SUBDIR)/fixincludes && \
@@ -738,7 +738,7 @@ Index: gcc-4.3.1/Makefile.in
@endif build-fixincludes
-@@ -3126,7 +3147,8 @@ all-ash: configure-ash
+@@ -3127,7 +3148,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(HOST_EXPORTS) \
(cd $(HOST_SUBDIR)/ash && \
@@ -748,7 +748,7 @@ Index: gcc-4.3.1/Makefile.in
@endif ash
-@@ -3550,7 +3572,8 @@ all-autoconf: configure-autoconf
+@@ -3551,7 +3573,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(HOST_EXPORTS) \
(cd $(HOST_SUBDIR)/autoconf && \
@@ -758,7 +758,7 @@ Index: gcc-4.3.1/Makefile.in
@endif autoconf
-@@ -3974,7 +3997,8 @@ all-automake: configure-automake
+@@ -3975,7 +3998,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(HOST_EXPORTS) \
(cd $(HOST_SUBDIR)/automake && \
@@ -768,7 +768,7 @@ Index: gcc-4.3.1/Makefile.in
@endif automake
-@@ -4398,7 +4422,8 @@ all-bash: configure-bash
+@@ -4399,7 +4423,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(HOST_EXPORTS) \
(cd $(HOST_SUBDIR)/bash && \
@@ -778,7 +778,7 @@ Index: gcc-4.3.1/Makefile.in
@endif bash
-@@ -4815,9 +4840,9 @@ configure-stage1-bfd:
+@@ -4816,9 +4841,9 @@
@r=`${PWD_COMMAND}`; export r; \
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
@@ -790,7 +790,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage 1 in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -4846,9 +4871,9 @@ configure-stage2-bfd:
+@@ -4847,9 +4872,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -802,7 +802,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage 2 in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -4877,9 +4902,9 @@ configure-stageb2g0-bfd:
+@@ -4878,9 +4903,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -814,7 +814,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage b2g0 in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -4908,9 +4933,9 @@ configure-stage3-bfd:
+@@ -4909,9 +4934,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -826,7 +826,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage 3 in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -4939,9 +4964,9 @@ configure-stageb3g2-bfd:
+@@ -4940,9 +4965,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -838,7 +838,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage b3g2 in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -4970,9 +4995,9 @@ configure-stage4-bfd:
+@@ -4971,9 +4996,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -850,7 +850,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage 4 in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -5001,9 +5026,9 @@ configure-stageprofile-bfd:
+@@ -5002,9 +5027,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -862,7 +862,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage profile in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -5032,9 +5057,9 @@ configure-stagefeedback-bfd:
+@@ -5033,9 +5058,9 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
test ! -f $(HOST_SUBDIR)/bfd/Makefile || exit 0; \
$(HOST_EXPORTS) \
@@ -874,7 +874,7 @@ Index: gcc-4.3.1/Makefile.in
echo Configuring stage feedback in $(HOST_SUBDIR)/bfd ; \
$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)/bfd ; \
cd $(HOST_SUBDIR)/bfd || exit 1; \
-@@ -5069,7 +5094,8 @@ all-bfd: configure-bfd
+@@ -5070,7 +5095,8 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(HOST_EXPORTS) \
(cd $(HOST_SUBDIR)/bfd && \
@@ -884,7 +884,7 @@ Index: gcc-4.3.1/Makefile.in
@endif bfd
-@@ -5088,8 +5114,11 @@ all-stage1-bfd: configure-stage1-bfd
+@@ -5089,8 +5115,11 @@
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(HOST_EXPORTS) \
cd $(HOST_SUBDIR)/bfd && \
@@ -898,7 +898,7 @@ Index: gcc-4.3.1/Makefile.in
$(TARGET-stage1-bfd)
maybe-clean-stage1-bfd: clean-stage1-bfd
-@@ -5102,7 +5131,7 @@ clean-stage1-bfd:
+@@ -5103,7 +5132